Summary:        Free, cross platform, open-source, audio I/O library
Name:           portaudio
Version:        19
Release:        3%{?dist}
License:        MIT
URL:            http://www.portaudio.com/
Source0:        http://files.portaudio.com/archives/pa_stable_v190700_20210406.tgz
Patch3000:      portaudio-doxynodate.patch
Patch3001:      portaudio-pkgconfig-alsa.patch
Patch3002:      portaudio-audacity.patch

BuildRequires:  make gcc-c++ autoconf automake libtool
BuildRequires:  doxygen alsa-lib-devel jack-audio-connection-kit-devel

%description
PortAudio is a portable, free, cross-platform, open-source, audio I/O library. It uses a 
callback mechanism to request audio processing. Audio can be generated in various formats, 
including 32 bit floating point, and will be converted to the native format internally.


%package devel
Summary:        Development files for the portaudio audio I/O library
Requires:       %{name} = %{version}-%{release}

%description devel
PortAudio is a portable, free, cross-platform, open-source, audio I/O library. It uses a 
callback mechanism to request audio processing. Audio can be generated in various formats, 
including 32 bit floating point, and will be converted to the native format internally.

This package provides files required to build applications that will use the portaudio library.


%prep
%autosetup -p1 -n %{name}


%build
autoreconf -i -f
# with autoconf-2.71, run it twice
autoreconf -i -f
%configure --disable-static --enable-cxx
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' bindings/cpp/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' bindings/cpp/libtool
# there is no -j# because buildi with -j# is broken
make

doxygen


%install
%make_install


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/*.so.*

%files devel
%doc doc/html/*
%{_includedir}/portaudiocpp/
%{_includedir}/portaudio.h
%{_includedir}/pa_jack.h
%{_includedir}/pa_linux_alsa.h
%{_includedir}/pa_unix_oss.h
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 19-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 19-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Wang Guodong <gordonwwang@tencent.com> - 19-1
- initial build
